/*
 * GraphKeys.java
 *
 * Created on 5 kwiecien 2004, 18:14
 */

package pl.psnc.vlab.graph.util;

import java.awt.Font;

/**
 *
 * @author  Dominik Stoklosa
 * @email  osa@man.poznan.pl
 */
public final class GraphKeys {
    
    //--------------------------------------------------------------------------
    //-----------   The JGraph properties
    
    /** The id of the selected resource */
    public static String PROPERTY_SELECTED_NODE_ID = "selectedNodeId";
    
    
    /** The resource described by the givevn node */
    // removed 12.07.2004 public static String PROPERTY_NODE_RESOURCE_DESC = "nodeResourceDescription";
    
    /** The value specifies a margin for a vertex label */
    public static int VERTEX_LABEL_MARGIN = 20;
    
    
    /** The new node offset */
    public static int NEW_VERTEX_OFFSET = 10;
    
    /** Specifies the node type indicator font */
    public static final Font FONT_NODE_TYPE = new Font("Verdana", Font.BOLD, 14);
    
    
    
}
