/*
 * ImageVertex.java
 *
 * Created on 5 kwiecien 2004, 13:16
 */

package pl.psnc.vlab.graph.vertex;

import org.jgraph.graph.DefaultGraphCell;
import pl.psnc.vlab.graph.vertex.type.VLabVertexType;

/**
 * Image cell class is an extension of default graph cell
 * The cell is displayed as an image icon
 * @author  Dominik Stoklosa
 * @email  osa@man.poznan.pl
 */
public class ImageCell extends DefaultGraphCell {
    
    /** Stores an instance of the cell type */
    private VLabVertexType type = null;
    
    /** Creates a new instance of ImageVertex */
    public ImageCell() {
        this(null);        
    }
    
    public ImageCell(Object userObject) {
        super(userObject);
    }

    
    
}

