/*
 * Observer.java
 *
 * Created on 12 lipiec 2004, 13:20
 */

package pl.psnc.vlab.ssa.gui.resource.model;

import pl.psnc.vlab.rds.ResourceDocument;

/**
 * The Resource Element Observer is used for informing the property
 * dialog elements that their values may have changed and they should
 * save their state.
 * @author  Dominik Stoklosa
 */
public interface ResourceElementObserver {
    
    /**
     * Notifies the observers that they should update their data
     */
    public void update();
}
