/*
 * Subject.java
 *
 * Created on 12 lipiec 2004, 13:23
 */

package pl.psnc.vlab.ssa.gui.resource.pane;

/**
 * The Resource Element Subject interface is used for registering
 * the observers, which are interested in the element state changes.
 * @author  Dominik Stoklosa
 */
public interface ResourceElementSubject {
    
    /**
     * Tell the subject that you are interested in changes
     * @param o object which is interested in notyfication
     */
    public void register(Object o);
}
