/*
 * SSAConfigurationImpl.java
 *
 * Created on February 21, 2006, 3:40 PM
 *
 */

package pl.psnc.vlab.ssa.management;

import pl.psnc.vlab.conf.ConfigurationImpl;
import pl.psnc.vlab.exception.VlabException;

/**
 *
 * @author @author <a href="mailto:osa@man.poznan.pl">Dominik Stoklosa (~osa~)</a>
 * @email osa@man.poznan.pl
 */
public class SSAConfigurationImpl extends ConfigurationImpl implements SSAConfiguration{
        
    
    /**
     * Creates a new instance of SSAConfigurationImpl
     * @param appConfig a path to the file, which contains the app configuration (as a properties)
     */
    public SSAConfigurationImpl(String appConfig) throws VlabException{
        super(appConfig);
    }
    
    
    
    /**
     * Returns the location of the file containing devices
     *
     * @return predefined scenarios location
     */
    public String getDeviceLocation() throws VlabException {
        return getProperty(KEY_DEVICE_LOCATION);
    }
}
