/*
 * ImageKeys.java
 *
 * Created on 14 maj 2004, 11:08
 */

package pl.psnc.vlab.ssa.util;

/**
 * The class contains all the image names which are used in the
 * application
 * @author  Dominik Stoklosa
 * @email  osa@man.poznan.pl
 */
public abstract class ImageKeys {
    
    
    /** The root directory of the images */
    public static String IMAGE_ROOT_DIRECTORY="images";
    
    
    
    //--------------------------------------------------------------------------
    //-----------   Maps
    
    /** Resource Information View */
    //public static String WORLD_MAP = IMAGE_ROOT_DIRECTORY+"/map/RING_mapa_full.gif";
    
    public static String WORLD_MAP = IMAGE_ROOT_DIRECTORY+"/map/europa5.png";
    
    
    //--------------------------------------------------------------------------
    //-----------   The Main frame perspectives
    /** Resource Information View */
    public static String ICON_RESOURCE_INFO_VIEW    = IMAGE_ROOT_DIRECTORY+"/buttons/outline_co.gif";
    
    /** Resource Information View */
    public static String ICON_MESSAGE_LOG_VIEW          = IMAGE_ROOT_DIRECTORY+"/buttons/tasks_tsk.gif";
    public static String ICON_MESSAGE_LOG_VIEW_DISABLED = IMAGE_ROOT_DIRECTORY+"/eclipse/perspective/showtsk_tsk_disabled.gif";
    
    /** Resource Information View */
    public static String ICON_AVAILABLE_ACTIONS_VIEW            = IMAGE_ROOT_DIRECTORY+"/eclipse/perspective/action_persp.gif";
    public static String ICON_AVAILABLE_ACTIONS_VIEW_DISABLED   = IMAGE_ROOT_DIRECTORY+"/eclipse/perspective/action_persp_disabled.gif";
    
    
    //--------------------------------------------------------------------------
    //-----------   The JGraph Icons
    
    //-- Default generic inons
    /** Default experiment big image */
    public static String DEAFULT_EXPERIMENT_BIG        = IMAGE_ROOT_DIRECTORY+"/graph/default/Experiment_enabledB.gif";
    /** Default experiment icon */
    public static String DEAFULT_EXPERIMENT_ICON       = IMAGE_ROOT_DIRECTORY+"/graph/default/16x16_experimentEnabled.gif";
    
    /** Default compute big image */
    public static String DEAFULT_COMPUTE_BIG            = IMAGE_ROOT_DIRECTORY+"/graph/default/Computations_enabledB.gif";
    /** Default compute icon */
    public static String DEAFULT_COMPUTE_ICON           = IMAGE_ROOT_DIRECTORY+"/graph/default/16x16_computationalEnabled.gif";
    
    
    /** Ok icon */
    public static String ICON_OK            = IMAGE_ROOT_DIRECTORY+"/buttons/ok.gif";
    public static String SMALL_ICON_OK      = IMAGE_ROOT_DIRECTORY+"/buttons/ok16.gif";
    /** Cancel icon */
    public static String ICON_CANCEL         = IMAGE_ROOT_DIRECTORY+"/buttons/cancel.gif";
    public static String SMALL_ICON_CANCEL   = IMAGE_ROOT_DIRECTORY+"/buttons/cancel16.gif";
    
    /** Initial icon */
    public static String SMALL_ICON_INITIAL  = IMAGE_ROOT_DIRECTORY+"/buttons/initial16.gif";
    //--------------------------------------------------------------------------
    //-----------   Vlab Logos
  
    /** Small vlab log icon */
    public static String LOGO_32_VLAB_LOGO_ICON   = IMAGE_ROOT_DIRECTORY+"/vlab/VL_32x32.gif";
    /** SSA splash */
    public static String SPLASH_SSA               = IMAGE_ROOT_DIRECTORY+"/vlab/SSA-splash.gif";
    
    /** Sample scenario graph */
    public static String SCENARIO_GRAPH_SAMPLE    = IMAGE_ROOT_DIRECTORY+"/vlab/scenSample.gif";
    
    //--------------------------------------------------------------------------
    //-----------   Different program icons
    
    /** Calendar icon */
    public static String ICON_CALENDAR      = IMAGE_ROOT_DIRECTORY+"/buttons/calendar.gif";
    
    /** Resource icon */
    public static String ICON_RESOURCES     = IMAGE_ROOT_DIRECTORY+"/buttons/resources.gif";
    
    /** Properties icon */
    public static String ICON_PROPERTIES         = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/prop_ps.gif";
        
    /** Blank icon */
    public static String SMALL_ICON_BLANK        = IMAGE_ROOT_DIRECTORY+"/buttons/blank16.gif";
    
    
    /** Submit icon */
    public static String ICON_SUBMIT              = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/run_exc.gif";
    public static String ICON_SUBMIT_DISABLED     = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/run_exc_disabled.gif";
    public static String SMALL_ICON_SUBMIT        = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/run_exc.gif";
    
    /** Config icon */
    public static String ICON_CONFIG              = IMAGE_ROOT_DIRECTORY+"/buttons/conf.gif";
    public static String SMALL_ICON_CONFIG        = IMAGE_ROOT_DIRECTORY+"/buttons/conf16.gif";
    
    /** New icon */
    public static String ICON_NEW                = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/new_view.gif";
    public static String SMALL_ICON_NEW          = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/new_view.gif";
    
    /** Open icon */  
    public static String ICON_OPEN               = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/fldr_open.gif";    
    
    /** Save icon */
    public static String ICON_SAVE               = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/save_single.gif";
    public static String ICON_SAVE_DISABLED      = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/save_single_disabled.gif";
    
    /** Save as icon */
    public static String ICON_SAVE_AS            = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/saveas_edit.gif";
    public static String ICON_SAVE_AS_DISABLED   = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/saveas_edit_disabled.gif";
    
    
    /** Undo icon */
    public static String ICON_UNDO               = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/undo.gif";
    public static String ICON_UNDO_DISABLED      = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/undo_disabled.gif";
    
    
    /** Redo icon */
    public static String ICON_REDO               = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/redo.gif";
    public static String ICON_REDO_DISABLED      = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/redo_disabled.gif";
    
    /** Copy */
    public static String ICON_COPY               = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/copy_edit.gif";
    public static String ICON_COPY_DISABLED      = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/copy_edit_disabled.gif";
    
    /** Paste icon */
    public static String ICON_PASTE              = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/paste_edit.gif";
    public static String ICON_PASTE_DISABLED     = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/paste_edit_disabled.gif";
    
    /** Delete icon */
    public static String ICON_DELETE              = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/delete_edit.gif";
    public static String ICON_DELETE_DISABLED     = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/delete_edit_disabled.gif";
    
    /** Actual size icon */
    public static String ICON_ACTUAL_SIZE          = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/16x16_Lupa_active.gif";
    public static String ICON_ACTUAL_SIZE_DISABLED = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/16x16_Lupa_pasive.gif";
    
    /** Zoom out icon */
    public static String ICON_ZOOM_OUT             = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/16x16_LupaMinus_active.gif";
    public static String ICON_ZOOM_OUT_DISABLED    = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/16x16_LupaMinus_pasive.gif";
    
    /** Zoom in icon */
    public static String ICON_ZOOM_IN             = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/16x16_LupaPlus_active.gif";
    public static String ICON_ZOOM_IN_DISABLED    = IMAGE_ROOT_DIRECTORY+"/eclipse/menu/16x16_LupaPlus_pasive.gif";
    
}


