/*
 * GraphSelectionObserver.java
 *
 * Created on November 8, 2005, 12:12 PM
 *
 */

package pl.psnc.vlab.graph.model;

/**
 * The update method called by the observer when graph selecion is changed
 * @author @author <a href="mailto:osa@man.poznan.pl">Dominik Stoklosa (~osa~)</a>
 * @email osa@man.poznan.pl
 */
public interface GraphSelectionObserver {
    
    
    /**
     * Update the observer
     * @param selectedCells the selected cells
     */
    public void update(Object[] selectedCells);
    
}
