/*
 * ExperimentType.java
 *
 * Created on 14 maj 2004, 11:38
 */

package pl.psnc.vlab.graph.vertex.type;

import java.io.Serializable;
import javax.swing.ImageIcon;
import pl.psnc.vlab.util.image.ImageFactory;
import pl.psnc.vlab.ssa.util.ImageKeys;
import pl.psnc.vlab.tds.TypeDocument;

/**
 *
 * @author  Dominik Stoklosa
 * @email  osa@man.poznan.pl
 */
public class ComputeType extends VLabVertexType implements Serializable{
    
    /** Creates a new generic instance of the compute node.
     *  From this node the user can select the proper compute node.
     */
    public ComputeType() {
        setTypeId( VLabVertexType.GENERIC_TYPE_COMPUTE);
    }
    
    
    /**
     * Creates a new instance of Compute type with the
     * type element defined
     * @param typeId type identifier 
     */    
    public ComputeType(int typeId) {
        setTypeId(typeId);
    }
    
}
