/*
 * ExperimentType.java
 *
 * Created on 14 maj 2004, 11:38
 */

package pl.psnc.vlab.graph.vertex.type;

import java.io.Serializable;
import javax.swing.ImageIcon;
import pl.psnc.vlab.util.image.ImageFactory;
import pl.psnc.vlab.ssa.util.ImageKeys;

/**
 *
 * @author  Dominik Stoklosa
 * @email  osa@man.poznan.pl
 */
public class ExperimentType extends VLabVertexType implements Serializable{
    
    
    /** Creates a new generic instance of the experiment node.
     *  From this node the user can select the proper compute node.
     */
    public ExperimentType() {
        setTypeId(VLabVertexType.GENERIC_TYPE_EXPERIMENT);
    }
    
    /**
     * Creates a new instance of the Experiment node with the
     * type element defined
     * @param typeId type identifier
     */
    public ExperimentType(int typeId) {
        setTypeId(typeId);
    }
    
}
