/*
 * ElementKeys.java
 *
 * Created on 21 czerwiec 2004, 12:11
 */

package pl.psnc.vlab.ssa.util.component;

import java.awt.Font;

/**
 *
 * @author  Dominik Stoklosa
 */
public interface ComponentKeys {
 
    //-------------------------------------------------------------------------
    //-----    The default fonts
    public final static Font COMPONENT_DEFAULT_FONT =  new Font("Verdana", 0, 11);
    
    public final static Font RESOURCE_VALUE_FONT = new Font("Verdana", 0, 11);

    public final static Font RESOURCE_KEY_FONT = new Font("Verdana", Font.BOLD , 12);
    
    //-------------------------------------------------------------------------
    //-------   Constants
    /** Defines the number of default column count*/
    public final static int DEFAULT_COLUMN_COUNT = 10;
    
    /** Defines the number of default row count*/
    public final static int DEFAULT_ROW_COUNT = 5;    
}
